%global pypi_name glance_store

Summary:        OpenStack Image Service Store Library
Name:           python-glance-store
Version:        4.1.1
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/%{pypi_name}/latest/
Source0:        %{pypi_source}

Patch0001:      fix-CVE-2024-1141.patch

BuildArch:      noarch

%description
Glance store library.

%package -n python3-glance-store
Summary:        OpenStack Image Service Store Library
BuildRequires: python3-devel python3-setuptools python3-pbr python3-pip python3-wheel python3-eventlet
BuildRequires: python3-jsonschema python3-keystoneauth1 python3-oslo-concurrency python3-oslo-config
BuildRequires: python3-oslo-i18n python3-oslo-serialization python3-oslo-utils python3-keystoneclient
BuildRequires: python3-requests python3-six python3-stevedore python3-os-brick python3-oslo-privsep
BuildRequires: python3-oslo-rootwrap python3-cinderclient python3-boto3 python3-httplib2 python3-swiftclient
BuildRequires: python3-oslo-vmware python3-boto3 python3-coverage python3-doc8 python3-fixtures python3-hacking
BuildRequires: python3-httplib2 python3-os-brick python3-oslo-privsep python3-oslo-rootwrap python3-oslo-vmware
BuildRequires: python3-oslotest python3-cinderclient python3-subunit python3-swiftclient python3-requests-mock
BuildRequires: python3-stestr python3-testscenarios python3-testtools
Requires: python3-eventlet python3-jsonschema python3-keystoneauth1 python3-oslo-concurrency
Requires: python3-oslo-config python3-oslo-i18n python3-oslo-serialization python3-oslo-utils
Requires: python3-keystoneclient python3-requests python3-six python3-stevedore python3-os-brick
Requires: python3-oslo-privsep python3-oslo-rootwrap python3-cinderclient python3-boto3 python3-httplib2
Requires: python3-swiftclient python3-oslo-vmware python3-boto3 python3-coverage python3-doc8 python3-fixtures
Requires: python3-hacking python3-httplib2 python3-os-brick python3-oslo-privsep python3-oslo-rootwrap
Requires: python3-oslo-vmware python3-oslotest python3-cinderclient python3-subunit python3-swiftclient
Requires: python3-requests-mock python3-stestr python3-testscenarios python3-testtools
Provides:       python-glance-store

%description -n python3-glance-store
Glance store library.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files
%{_prefix}/%{_sysconfdir}/glance/rootwrap.conf
%{_prefix}/%{_sysconfdir}/glance/rootwrap.d/glance_cinder_store.filters

%files -n python3-glance-store
%{_bindir}/glance-rootwrap
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info
%{_docdir}/*

%changelog
* Sun Feb 18 2024 jackeyji <jackeyji@tencent.com> - 4.1.1-2
- fix CVE-2024-1141

* Wed Sep 27 2023 jackeyji <jackeyji@tencent.com> - 4.1.1-1
- upgrade to 4.1.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Shuo Wang <abushwang@tencent.com> - 2.5.0-1
- initial build
